from bitcoding import B_dict
from basesplit import bsplit
from glob import globs

inverseDict = {}
N = globs["size"]

# initialize list with the inverses of all possible relations
with open(globs['calc']+"/"+globs['calc']+".conv") as f:
   for i in f:
      rel, irel = i.split('::')
      inverseDict[B_dict[rel.strip()]] = B_dict[irel.strip()]
   
inv = [(reduce(lambda x, y: x | y, [inverseDict[i] for i in bsplit[j][1]])) for j in xrange((2**N)-1)]


